summaryrefslogtreecommitdiff
path: root/dev-python/appdirs
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-26 13:40:25 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-26 13:40:25 +0000
commit12e97c9c7b8570130131c95ef49e842a67af266f (patch)
tree8a0db7164e5c5ec120383d362f00f61971bdd452 /dev-python/appdirs
parente508730165ab3e82323822d520aa96b5b1f913af (diff)
downloadbaldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.tar.gz
baldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.tar.xz
baldeagleos-repo-12e97c9c7b8570130131c95ef49e842a67af266f.zip
Adding metadata
Diffstat (limited to 'dev-python/appdirs')
-rw-r--r--dev-python/appdirs/appdirs-1.4.4-r2.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/appdirs/appdirs-1.4.4-r2.ebuild b/dev-python/appdirs/appdirs-1.4.4-r2.ebuild
new file mode 100644
index 000000000000..47f1b45dd9b4
--- /dev/null
+++ b/dev-python/appdirs/appdirs-1.4.4-r2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Module for determining appropriate platform-specific dirs"
+HOMEPAGE="https://github.com/ActiveState/appdirs"
+SRC_URI="https://github.com/ActiveState/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+src_configure() {
+ [[ -e pyproject.toml ]] &&
+ die "Upstream added pyproject.toml, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "appdirs"
+ dynamic = ["version", "description"]
+ EOF
+}
+
+python_test() {
+ "${PYTHON}" test/test_api.py -v || die "Tests fail with ${EPYTHON}"
+}